%define upstream_name    NEXT
%define upstream_version 0.65

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl5 implementation of NEXT (RFC190)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
NEXT.pm adds a pseudoclass named 'NEXT' to any program that uses it. If a
method 'm' calls '$self->NEXT::m()', the call to 'm' is redispatched as if
the calling method had not originally been found.

In other words, a call to '$self->NEXT::m()' resumes the depth-first,
left-to-right search of '$self''s class hierarchy that resulted in the
original call to 'm'.

Note that this is not the same thing as '$self->SUPER::m()', which begins a
new dispatch that is restricted to searching the ancestors of the current
class. '$self->NEXT::m()' can backtrack past the current class -- to look
for a suitable method in other ancestors of '$self' -- whereas
'$self->SUPER::m()' cannot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.650.0-8.mga6
+ Revision: 1031344
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.650.0-7.mga6
+ Revision: 945386
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-6.mga5
+ Revision: 747039
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-5.mga5
+ Revision: 685611
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.650.0-4.mga4
+ Revision: 513351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.650.0-3.mga3
+ Revision: 370431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.650.0-2.mga1
+ Revision: 60598
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.650.0-1.mga1
+ Revision: 22693
- cleaning spec file
- imported package perl-NEXT

